Bug 88123 - New port: net/trafshow5 Real-time network traffic visualisation
Summary: New port: net/trafshow5 Real-time network traffic visualisation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-28 11:40 UTC by Serge Maslov
Modified: 2005-11-05 14:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Maslov 2005-10-28 11:40:15 UTC

    
Comment 1 Jean-Yves Lefort freebsd_committer 2005-10-28 13:35:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-10-28 13:46:42 UTC
Maintainer, what's the reason for keeping old trafshow versions? Can I
commit this update into net/trafshow and remove net/trafshow4?

-- 
Jean-Yves Lefort

jylefort@FreeBSD.org
http://lefort.be.eu.org/
Comment 3 Jean-Yves Lefort freebsd_committer 2005-10-28 13:46:53 UTC
State Changed
From-To: open->feedback

Asked the net/trafshow* maintainer about this.
Comment 4 Ryan Thompson 2005-10-31 04:06:13 UTC
Jean-Yves Lefort wrote to bug-followup@FreeBSD.org and serge@maslov.biz on...:

> Maintainer, what's the reason for keeping old trafshow versions? Can I
> commit this update into net/trafshow and remove net/trafshow4?

Hello Jean-Yves,

There is really no reason, except that I've been too busy to maintain
the port. When the new version was released, I submitted a patch to the
port, but folks reported problems with the display/aggregation, so I
soon recommended the patch be backed out, splitting trafshow into
different ports for 3.x and 4.x.

If these problems have been resolved and tested, then I recommend
committing the update.

Thanks,
- Ryan

--
Ryan Thompson <ryan@sasknow.com>
SaskNow Technologies - http://www.sasknow.com
901-1st Avenue North - Saskatoon, SK - S7K 1Y4
Comment 5 Serge Maslov 2005-11-02 11:04:22 UTC
Hello Ryan,

Version 4 of trafshow port has no aggregation, but program has new feature - 
display traffic of Netflow datagrams. Version 5 displays Netflow and can do 
simple aggregation. Versions 4 and 5 of trafshow is too different, because 5 
is too interactive. Think, that all versions have to be in different ports, 
but maybe try to adopt the aggregate-patch from net/trafshow to 
net/trafshow4 and update it to net/trafshow, and trafshow5 will be in 
different port?

----- Original Message ----- 
From: "Ryan Thompson" <ryan@sasknow.com>
To: "Jean-Yves Lefort" <jylefort@FreeBSD.org>
Cc: <bug-followup@FreeBSD.org>; <serge@maslov.biz>
Sent: Monday, October 31, 2005 10:06 AM
Subject: Re: ports/88123: New port: net/trafshow5 Real-time network traffic 
visualisation


> Jean-Yves Lefort wrote to bug-followup@FreeBSD.org and serge@maslov.biz 
> on...:
>
>> Maintainer, what's the reason for keeping old trafshow versions? Can I
>> commit this update into net/trafshow and remove net/trafshow4?
>
> Hello Jean-Yves,
>
> There is really no reason, except that I've been too busy to maintain
> the port. When the new version was released, I submitted a patch to the
> port, but folks reported problems with the display/aggregation, so I
> soon recommended the patch be backed out, splitting trafshow into
> different ports for 3.x and 4.x.
>
> If these problems have been resolved and tested, then I recommend
> committing the update.
>
> Thanks,
> - Ryan
>
> --
> Ryan Thompson <ryan@sasknow.com>
> SaskNow Technologies - http://www.sasknow.com
> 901-1st Avenue North - Saskatoon, SK - S7K 1Y4
Comment 6 Jean-Yves Lefort freebsd_committer 2005-11-05 14:36:02 UTC
State Changed
From-To: feedback->closed

Committed with a few modifications (as an update to net/trafshow rather than 
as a new port; net/trafshow4 removed), thanks! 

I've tested aggregation and it seems to work properly. The fact that trafshow 
5 is too different from trafshow 4 does not justify creating yet another 
trafshow port.